Bug 12757 - autogen.sh fails on a text-mode Linux console.
Summary: autogen.sh fails on a text-mode Linux console.
Status: RESOLVED FIXED
Alias: None
Product: cairo
Classification: Unclassified
Component: general (show other bugs)
Version: 1.5.1
Hardware: x86 (IA32) Linux (All)
: low minor
Assignee: Carl Worth
QA Contact: cairo-bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-09 16:38 UTC by Chris Heath
Modified: 2007-10-15 14:32 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Chris Heath 2007-10-09 16:38:19 UTC
On terminals that don't support boldface, autogen.sh fails.

I do have tput installed, but it returns a nonzero value on such a terminal, which causes autogen.sh to stop.

Patch to fix it:

diff --git a/autogen.sh b/autogen.sh
index 73455ef..4253a91 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -49,8 +49,8 @@ esac
 
 
 # some terminal codes ...
-boldface="`tput bold 2>/dev/null`"
-normal="`tput sgr0 2>/dev/null`"
+boldface="`tput bold 2>/dev/null || true`"
+normal="`tput sgr0 2>/dev/null || true`"
 printbold() {
     echo $ECHO_N "$boldface"
     echo "$@"
Comment 1 Behdad Esfahbod 2007-10-15 14:32:26 UTC
Committed.  Thanks.

commit 189feaf352f59b0a049202552024578715ef8cc7
Author: Chris Heath <chris@heathens.co.nz>
Date:   Mon Oct 15 17:31:50 2007 -0400

    [autogen.sh] Tolerate tput failure (#12757)



Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.